html {
    width: 100%;
    background: linear-gradient(white, aliceblue 50%);
    background-attachment: fixed;
}

body {
  max-width: 720px;
  margin:auto;
  padding:1em 1em;
  font-family: "Libertinus Sans", serif;
}

footer {
    margin-top: 1em;
}

#header h1 p {
    margin: 0;
}

img, video, iframe {
    max-width: 100%;
    border-radius: 0.5em;
}

iframe.youtube {
    width: 100%;
    aspect-ratio: 16/9;
}

figcaption {
    text-align: center;
    font-style: italic;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    display: flex;
    gap: 0.5em;
    align-items: center;
}

nav.post-navigation {
    margin-top: 1em;
}

@media(width >= 40em) {
    nav.post-navigation {
        display: flex;
        justify-content: space-between;
    }
    nav.post-navigation * {
        flex: 1;
    }
    nav.post-navigation .previous {
        text-align: left
    }
    nav.post-navigation .next {
        text-align: right
    }
    nav.post-navigation div {
        text-align: center;
    }

    nav#recent-posts {
        display: flex;
    }
    nav#recent-posts section {
        flex: 1;
    }
    nav#recent-posts h4 {
        margin-top: 0;
        margin-bottom: 1em;
    }
}
nav#recent-posts h4 {
    margin-bottom: 0;
}

section[role="doc-endnotes"] ol {
    padding-left: 0;
}

section[role="doc-endnotes"] sup {
    padding-right: 1em;
}

html.dark {
    background: linear-gradient(#000, #1d1e1f 50%);
    color: white;
    background-attachment: fixed;
}
html.dark a {
    color:lightblue;
}
html.dark a:visited {
    color:cornflowerblue;
}
a {
    color:blueviolet;
}
a:visited {
    color:darkslateblue;
}

.index {
    display: grid;
    grid-template-areas: 'time name description';
    gap: 1em;
    grid-template-columns: max-content 1fr 1fr;
}
